package com.github.wxiaoqi.security.auth.common.util.jwt;

/**
 * Created by ace on 2017/9/10.
 */
public interface IJWTInfo {
    /**
     * 获取用户名
     * @return
     */
    String getUniqueName();

    /**
     * 获取用户ID
     * @return
     */
    String getId();

    /**
     * 获取名称
     * @return
     */
    String getName();

    /**
     * 获取请求类型(app,base,wx)
     * @return
     */
    String getRequestType();

//    /**
//     * 数据权限 是否拥有所有数据
//     * @return
//     */
//    public Integer getDataAll();
//
//    /**
//     * 数据权限区域片区
//     * @return
//     */
//    public String getDataZone();
//
//    /**
//     * 数据权限公司
//     * @return
//     */
//    public String getDataCompany();

}
